# class ActiveLdap::DistinguishedNameInvalid

### Attributes

dn[R]
reason[R]

### Public Class Methods

new(dn, reason=nil) click to toggle source
Calls superclass method

    # File lib/active_ldap/base.rb, line 137
    def initialize(dn, reason=nil)
      @dn = dn
      @reason = reason
      if @reason
        message = _("%s is invalid distinguished name (DN): %s") % [@dn, @reason]
      else
        message = _("%s is invalid distinguished name (DN)") % @dn
      end
      super(message)
    end